#pragma once
class MainScreen;
#include <QThread>
#include "qminiblink.h"
class MyThread : public QThread
{
	Q_OBJECT
public:
	MyThread(MainScreen * mainScreen,QMiniBlink **miniblink,QObject *parent=nullptr);
	MainScreen *mainScreen;
	QMiniBlink *(*miniblink);
	~MyThread();

protected:
	void run() override;
public slots:
	void onstop();
};
	
